WEBHOOKS
List dead-lettered webhook deliveries
GET
/v1/webhooks/failuresSee the request and response contract below.
Backend integrationYour backend and SDK use a tenant API key.
Try itAvailable for creating, reading, and deleting verification sessions in Test. Other operations are reference-only; API-key protected routes require a tenant API key on your backend. Open a session request
Parameters
| Name | Location | Required | Schema | Description |
|---|---|---|---|---|
limit | query | No | integer | — |
cursor | query | No | string | — |
Responses
Response 200
JSON response
application/json · Response schema
failuresarray<object>optionalNested fields
idstringoptionalsession_idstringoptionalclient_idstringoptionalpayloadobjectoptionalerror_messagestring,nulloptionalattemptsintegeroptionalfailed_atstringoptional
View JSON schema
{ "type": "object", "properties": { "id": { "type": "string" }, "session_id": { "type": "string" }, "client_id": { "type": "string" }, "payload": { "type": "object" }, "error_message": { "type": [ "string", "null" ] }, "attempts": { "type": "integer" }, "failed_at": { "type": "string" } } }has_morebooleanoptionalnext_cursorstring,nulloptional
View JSON schema
{
"type": "object",
"properties": {
"failures": {
"type": "array",
"items": {
"$ref": "#/components/schemas/WebhookFailure"
}
},
"has_more": {
"type": "boolean"
},
"next_cursor": {
"type": [
"string",
"null"
]
}
}
}Response 400
Invalid pagination cursor
application/json · Response schema
errorstringrequiredmessagestringrequired
View JSON schema
{
"type": "object",
"required": [
"error",
"message"
],
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
}
}Response 401
Error response
application/json · Response schema
errorstringrequiredmessagestringrequired
View JSON schema
{
"type": "object",
"required": [
"error",
"message"
],
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
}
}Response 403
Error response
application/json · Response schema
errorstringrequiredmessagestringrequired
View JSON schema
{
"type": "object",
"required": [
"error",
"message"
],
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
}
}